Class | Hash
In: | lib/graphviz/core_ext.rb
Parent: | Object

From : www.geekmade.co.uk/2008/09/ruby-tip-normalizing-hash-keys-as-symbols/

### Methods

each_except symbolize_keys

### Public Instance methods

each_except( e ) {|k, v| ...}

x = {

      :none => String,
      :png => "file.png",
      :svg => "file.svg"

}

x.each_except( :key => [:none], :value => [/\.png$/] ) do |k, v|

      puts "#{k} -> #{v}"

end

# > svg -> file.svg

symbolize_keys()

[Validate]